/*

GetClick by Garthor, version 3

HOW TO USE THIS LIBRARY:

	To properly include this library (and any library), first go to your own code
	files, and expand the "Lib" folder on the left.  Check the box next to (in this
	case) Garthor.GetClick.  Do NOT copy-and-paste code from this library, and do
	NOT alter this library yourself.  You can also run this library to see a demo,
	but it's not particularly interesting.


FORMAT:

	GetClick(priority = 1, timeout = 36000, override = 0)

RETURNS:

	The next object the client of this mob clicks on, or null if it fails.  Failure
	occurs when the mob has no client, the client logs out before clicking, the
	call times out, or a new GetClick() call overrides this one.

ARGS:

	priority:	Calling GetClick() while another GetClick() is waiting will cause
				the old GetClick() to return null if the new priority is equal to or
				greater than the old one.
	timeout:	A call to Getclick() will timeout after a set duration (default of
				one hour) and simply return null.
	override: Pass a true value to prevent the normal Click() procedure from being
				called after you click on an object for GetClick().

EXAMPLE:

mob/verb/Fireball()
	src << "Select a target"

	client.mouse_pointer_icon = 'select.dmi'
	var/mob/target = GetClick()
	client.mouse_pointer_icon = null

	if(ismob(target))
		src.fireball(M)

*/